Package org.apache.wiki.tags

## Class RequestResourceTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.RequestResourceTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class RequestResourceTag
    extends WikiTagBase

Provides easy access to TemplateManager.addResourceRequest(). You may use any of the request types defined there.

See Also:
  `TemplateManager`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`RequestResourceTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getResource()` Returns the resource that is to be added.
`java.lang.String` `getType()` Get the resource type.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setResource​(java.lang.String r)` Sets the resource name to be added.
`void` `setType​(java.lang.String type)` Set the type of the resource to be included.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestResourceTag

    public RequestResourceTag()

### Method Detail

#### initTag

    public void initTag()

This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### doWikiStartTag

    public int doWikiStartTag()
                       throws java.lang.Exception

This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.lang.Exception`

#### getResource

    public java.lang.String getResource()

Returns the resource that is to be added.

Returns:
  The resource name.

#### setResource

    public void setResource​(java.lang.String r)

Sets the resource name to be added.

Parameters:
  `r` - Resource identifier.

#### getType

    public java.lang.String getType()

Get the resource type.

Returns:
  The type of the resource.

#### setType

    public void setType​(java.lang.String type)

Set the type of the resource to be included. For example, "script". Please see the TemplateManager class for more information about the different kinds of types you can use.

Parameters:
  `type` - The type to be set.
See Also:
  `TemplateManager`